{                                                                      }
{         nazwa : PAJNTWJU 0.0.1                                       }
{         autor : Tomasz pokryva Pokrywka                              }
{       kontakt :                                                      }
{			* e-m@il : pokryva@gmail.com                   }
{			* www    : pokryva.info			       }
{                                                                      }

program PajntWju_001;

uses Dos,crt;

Type TPunkt  = record    {rekord potrzebny do zapisania grafiki}
      kolorP : integer;  {do pliku; zapamietuje kolor i pedzel }
     pedzelP : integer;
   End;

    rysunek_plikT = file of TPunkt;

Var rysunek : array[1..53,1..22] of TPunkt;
    info: SearchRec;
    i:integer;
    exit:char;


{maluje ramke-----------------------------------------}
Procedure Ramka;
var i:integer;
Begin
 TextColor(7);
 GoToXY(0,0);
 write(chr(201));
 for i:=1 to 23 do write(chr(205));
 write(chr(203));
 for i:=1 to 53 do write(chr(205));
 writeln(chr(187));
 for i:=1 to 22 do writeln(chr(186));
 for i:=1 to 22 do
  begin
   gotoXY(25,1+i);
   write(chr(186));
  end;
 for i:=1 to 22 do
  begin
  gotoXY(79,1+i);
  write(chr(186));
  end;
 GoToXY(1,24);
 write(chr(200));
 for i:=1 to 23 do write(chr(205));
 write(chr(202));
 for i:=1 to 53 do write(chr(205));
 writeln(chr(188));

gotoxy(5,23);
write('PAJNTWJU 0.0.1');

end;
{koniec malowania ramki-------------------------------}


{rysuje rysunek:P-------------------------------------}
Procedure Rysuj;
var r,s:integer;
begin
for r:= 1 to 22 do
 begin
  for s:=1 to 53 do
   begin
    gotoXY(s+25,r+1);
    textcolor(rysunek[s,r].kolorP);
    write(chr(rysunek[s,r].pedzelP));
   end;
  writeln;
 end;
end;
{koniec rysowania-------------------------------------}


{odczytanie z pliku-----------------------------------}
Procedure Przeczytaj_Plik(plik_name:string);
var i,j:integer;
    rysplik : rysunek_plikT; {zmienna plikowa do zapisu pliku  }
begin
 assign(rysplik,plik_name);
 reset(rysplik);
 for i:=1 to 22 do
  begin
   for j:=1 to 53 do
    read(rysplik,rysunek[j,i]);
  end;
 close(rysplik);
end;
{koniec odczytywania z pliku--------------------------}


begin
 clrscr;
 randomize;
repeat
 i:=0;
 FindFirst('*.JZL', archive, info);
 while DosError = 0 do
 begin
   clrscr;
   Ramka;
   textcolor(white);
   i:=i+1;
   gotoxy(6,2);
   write('Nazwa pliku:');
   gotoxy(5,4);
   Write(i,chr(16),' ');
   textcolor(random(14)+1);
   write(info.Name);
   Przeczytaj_Plik(info.Name);
   Rysuj;
   FindNext(info);
   readkey;
 end;
 textcolor(white);
 gotoxy(8,14);
 write('Powtarza',chr(134),'?');
 gotoxy(6,16);
 write('(t)ak / (n)ie');
 repeat
  exit:=readkey;
 until exit in['T','t','N','n'];
until exit in ['n','N'];
end.
