{                                                                      }
{         nazwa : PAJNT 0.0.6.5                                        }
{         autor : Tomasz pokryva Pokrywka                              }
{       kontakt :                                                      }
{                * e-m@il : pokryva@gmail.com                          }
{		 * www    : pokryva.info                               }
{                                                                      }

Program Pajnt_0065;
Uses Crt, Dos;

Type TPunkt  = record    {rekord potrzebny do zapisania grafiki}
      kolorP : integer;  {do pliku; zapamietuje kolor i pedzel }
     pedzelP : integer;
   End;

    rysunek_plikT = file of TPunkt;

Var rysunek, rysunek2 : array[1..53,1..22] of TPunkt;
    rysplik : rysunek_plikT; {zmienna plikowa do zapisu pliku  }
    guzik, wyjdzX : char;
    kolor, pedzel : integer;
    a, b, x, y, i, j : integer;
    maluj, namalowal : boolean;

{
spis procedur:

               Ramka - maluje ramke edytora
         Menu_Edytor - menu edytora /kolory, pedzle/
            CzyscRys - czysci tablice ktora pamieta rysunek
               Rysuj - nieuzywana procedura wyswietlenia rysunku
       Rysuj_W_Ramce - rysuje zapamietana grafike w edytorze
          Zap_1_ruch - zapamietuje 1 ruch
           Zaczernij - zaczernia
          Jaki_Kolor -
     Przeczytaj_Plik -
         Otworz_Plik -
         Zapisz_Plik -
         Czy_Zapisac -
               Intro -
         Zakonczenie - copylefts by pokryva itp itd;)
         Menu_Glowne -
                                                                       }

{maluje ramke-----------------------------------------}
Procedure Ramka;
var i:integer;
Begin
 TextColor(7);
 GoToXY(0,0);
 write(chr(201));
 for i:=1 to 23 do write(chr(205));
 write(chr(203));
 for i:=1 to 53 do write(chr(205));
 writeln(chr(187));
 for i:=1 to 22 do writeln(chr(186));
 for i:=1 to 22 do
  begin
   gotoXY(25,1+i);
   write(chr(186));
  end;
 for i:=1 to 22 do
  begin
  gotoXY(79,1+i);
  write(chr(186));
  end;
 GoToXY(1,24);
 write(chr(200));
 for i:=1 to 23 do write(chr(205));
 write(chr(202));
 for i:=1 to 53 do write(chr(205));
 writeln(chr(188));
end;
{koniec malowania ramki-------------------------------}


{menu edytora-----------------------------------------}
Procedure Menu_Edytor;
begin
gotoXY(8,2);
textcolor(9); write('P');
textcolor(12); write('A');
textcolor(11); write('J');
textcolor(13); write('N');
textcolor(14); write('T');
textcolor(white);
write(' 0.0.6.5'); { T U   T Y T U L ! ! ! }
gotoXY(2,4);
writeln('  p',chr(169),'dzle: q',chr(219),' w',chr(176),' e',chr(178),' r',chr(177));
gotoXY(2,6);
write('  kolory: ');
textcolor(1); write('1');
textcolor(2); write('2');
textcolor(11); write('3');
textcolor(12); write('4');
textcolor(13); write('5');
textcolor(14); write('6');
textcolor(15); write('7');
textcolor(8); write('8');
textcolor(9); write('9 ');
textcolor(white);
write('a',chr(31));
gotoXY(2,8);
write('   gumka: 0');
gotoXY(2,10);
write(' wyczy',chr(152),chr(134),': c');
gotoXY(2,12);
write(' wyj',chr(152),'cie: ESC');
gotoXY(18,7); write(chr(24));
end;
{koniec menu1-----------------------------------------}


{czysci rysunek---------------------------------------}
Procedure CzyscRys;
var m,n:integer;
begin
 for m:=1 to 22 do
  for n:=1 to 53 do
   with rysunek[n,m] do
    begin
     kolorP:=0;
     pedzelP:=219;
    end;
end;
{koniec czyszczenia rysunku---------------------------}


{rysuje rysunek:P-------------------------------------}
Procedure Rysuj;
var r,s:integer;
begin
for r:= 1 to 22 do
 begin
  for s:=1 to 53 do
   begin
    textcolor(rysunek[s,r].kolorP);
    write(chr(rysunek[s,r].pedzelP));
   end;
  writeln;
 end;
end;
{koniec rysowania-------------------------------------}


{rysuje w ramce menu----------------------------------}
Procedure Rysuj_W_Ramce(szybkosc:integer);
var g,h:integer;
begin
GotoXY(0,0);
for g:= 1 to 22 do
 begin
  for h:=1 to 53 do
   begin
    gotoXY(h+25,g+1);
    textcolor(rysunek[h,g].kolorP);
    write(chr(rysunek[h,g].pedzelP));
    delay(szybkosc);
   end;
  writeln;
 end;
end;
{koniec rysowania w ramce-----------------------------}


{zapisanie pojedynczego ruchu do tablicy rekordow-----}
Procedure Zap_1_ruch(xtu,ytu,kolortu,pedzeltu:integer);
begin
 with rysunek[xtu,ytu] do
  begin
   kolorP :=kolortu;
   pedzelP:=pedzeltu;
  end;
end;
{koniec procedury zapisu pojedynczego ruchu-----------}


{zakrywa na czarno wskaznik koloru--------------------}
Procedure Zaczernij;
var i:integer;
begin
textcolor(black);
for i:=12 to 20 do
 begin
  gotoXY(i,7);
  write(chr(219));
 end;
gotoXY(14,8);
write(chr(219));
end;
{koniec zakrywania na czarno--------------------------}


{wskazuje jakim kolorem sie aktualnie dziala----------}
Procedure Jaki_Kolor(jaki_wybrany:integer);
begin
 case jaki_wybrany of
 1 : begin
      Zaczernij; gotoXY(12,7); textcolor(white); write(chr(24));
     end;
 2 : begin
      Zaczernij; gotoXY(13,7); textcolor(white); write(chr(24));
     end;
 11: begin
      Zaczernij; gotoXY(14,7); textcolor(white); write(chr(24));
     end;
 12: begin
      Zaczernij; gotoXY(15,7); textcolor(white); write(chr(24));
     end;
 13: begin
      Zaczernij; gotoXY(16,7); textcolor(white); write(chr(24));
     end;
 14: begin
      Zaczernij; gotoXY(17,7); textcolor(white); write(chr(24));
     end;
 15: begin
      Zaczernij; gotoXY(18,7); textcolor(white); write(chr(24));
     end;
  8: begin
      Zaczernij; gotoXY(19,7); textcolor(white); write(chr(24));
     end;
  9: begin
      Zaczernij; gotoXY(20,7); textcolor(white); write(chr(24));
     end;
  0: begin
      Zaczernij; gotoXY(14,8); textcolor(white); write(chr(27));
     end;
 end;
end;
{koniec pokazywania aktywnego koloru-----------------}


{odczytanie z pliku-----------------------------------}
Procedure Przeczytaj_Plik(plik_name:string);
var i,j:integer;
begin
 assign(rysplik,plik_name+'.jzl');
 reset(rysplik);
 for i:=1 to 22 do
  begin
   for j:=1 to 53 do
    read(rysplik,rysunek[j,i]);
  end;
 close(rysplik);
end;
{koniec odczytywania z pliku--------------------------}


{wczytanie pliku - MENU->(2)--------------------------}
procedure Otworz_Plik;
var i:integer;
    exist,pomoc:boolean;
    plik_name:string;
    givap:char;
begin
 for i:=1 to 5 do
  begin
  window(15,13-i,58,13+i);
  textbackground(black);
  ClrScr;
  delay(100);
  end;
repeat
 Clrscr;
 gotoxy(44,1); {ramka            }
 for i:=1 to 9 do
  begin
   gotoxy(43,1+i);
   write(chr(179));
  end;
 gotoxy(2,1);
 write(chr(218));
 for i:=1 to 40 do write(chr(196));
 writeln(chr(191));
 for i:=1 to 9 do
  begin
   gotoxy(2,i+1);
   write(chr(179));
  end;
 gotoxy(2,11);
 write(chr(192));
 for i:=1 to 40 do write(chr(196));
 write(chr(217)); {koniec ramki  }

 gotoXY(8,3);
 writeln('Podaj nazw',chr(169),' pliku (np. pajnt1): ');
 gotoxy(13,5);
 textcolor(white);
 write(chr(26));
 gotoXY(15,5);
 readln(plik_name);

 assign(rysplik,plik_name+'.jzl');
 {$I-} reset(rysplik); {$I+}
 if IOresult <> 0 then
  begin
   exist:=false;
   gotoxy(12,8);
   textcolor(12);
   writeln('NIE MA TAKIEGO PLIKU!');
   sound(1000);
   delay(100);
   nosound;
   gotoxy(10,9);
   textcolor(14);
   write('Powtarza',chr(134),'? (t)ak / (n)ie');

   repeat
    givap:=readkey;
   until givap in ['t','T','n','N',#27];
   case givap of
    't','T' : pomoc:=false;
    'n','N',#27 : pomoc:=true;
    end;

  end

 else
  begin
   exist:=true;
   pomoc:=true;
  end;

until pomoc=true;

 if exist=true then
 begin
 for i:=1 to 22 do
  begin
   for j:=1 to 53 do
    read(rysplik,rysunek[j,i]);
  end;
 close(rysplik);
 end;

window(1,1,80,25);
end;
{koniec wczytywania-----------------------------------}


{zapisywanie do pliku---------------------------------}
Procedure Zapisz_Plik(plik_name:string);
var v,w:integer;
begin
 assign(rysplik,plik_name+'.jzl');
 rewrite(rysplik);
 for v:=1 to 22 do
  for w:=1 to 53 do
   write(rysplik,rysunek[w,v]);
close(rysplik);
end;
{koniec zapisywania do pliku--------------------------}


{pyta czy zapisac rysunek-----------------------------}
{troche balaganu, bedzie trzeba posprzatac;)}
procedure Czy_Zapisac;
var zapisac,nadpisac:char;
    i:integer;
    folder,zapisz_nazwa:string;
begin
textcolor(12);
gotoXY(5,14);
writeln('Zapisa',chr(134),' rysunek?');
sound(1000);
delay(100);
nosound;
gotoxy(6,15);
textcolor(white);
write('(t)ak / (n)ie');
repeat
 zapisac:=readkey;
until zapisac in ['t','T','n','N'];

 case zapisac of
  't','T' : begin
             for i:=1 to 5 do
              begin
               window(29,13-i,72,13+i);
               ClrScr;
               delay(100);
              end;

             gotoxy(44,1); {ramka            }
             for i:=1 to 9 do
              begin
               gotoxy(43,1+i);
               write(chr(179));
              end;
             gotoxy(2,1);
             write(chr(218));
             for i:=1 to 40 do write(chr(196));
             writeln(chr(191));
             gotoxy(2,2);
             for i:=1 to 9 do
              begin
               gotoxy(2,1+i);
               write(chr(179));
              end;
             gotoxy(2,11);
             write(chr(192));
             for i:=1 to 40 do write(chr(196));
             write(chr(217)); {koniec ramki  }

             gotoXY(10,3);
             writeln('Podaj nazw',chr(169),' pliku: ');
            repeat  {powtarza dopoki nazwa pliku > 0, czyli nie sam ENTER}
             gotoxy(15,5);
             textcolor(white);
             write(chr(26));
             {sprawdza czy plik istniej i jezeli tak pyta czy nadpisac}
             repeat
              gotoXY(3,6);
              write('                                        ');
              gotoXY(17,5);
              write('                    ');
              textcolor(white);
              gotoXY(17,5);
              readln(zapisz_nazwa);
              assign(rysplik,zapisz_nazwa+'.jzl');
        {$I-} reset(rysplik); {$I+}
              if IOresult <> 0 then
               break {jezeli pliku nie ma - przerywa petle}
              else
               begin
                textcolor(12);
                gotoxy(4,wherey);
                sound(1000);
                delay(100);
                nosound;
                write('Plik istnieje! Nadpisa',chr(134),'? (t)ak / (n)ie');
               end;
               repeat
                nadpisac:=readkey;
               until nadpisac in ['T','t','n','N'];
              until nadpisac in ['T','t'];
              gotoXY(3,6);
              write('                                       ');
             {koniec sprawdzania czy plik istniej}

            {jezeli sam ENTER - brak nazwy, wtedy powtorka wpisywania}
             if ord(zapisz_nazwa[0])=0 then
              begin
              textcolor(12);
              gotoxy(17,5);
              sound(1000);
              delay(100);
              nosound;
              write('Podaj nazwe!');
              delay(311);
              gotoxy(17,5);
              write('                 ');
              end; {}
            until ord(zapisz_nazwa[0])>0;
            {jezeli nazwa ma conajmniej 1 znak idzie dalej}

             Zapisz_Plik(zapisz_nazwa);

             gotoxy(8,7);
             write('Plik zapisano jako: ');
{}{}{moze przybajeruje;)GetDir(0, folder);}
             textcolor(random(14)+1);
             write(zapisz_nazwa,'.jzl');
             delay(500);
             window(1,1,80,25);
            end;
  'n','N' : ;
 end;

end;
{koniec pytania czy zapisac plik;)--------------------}


{pocztek wyswietlania wersji program-----------------}
procedure Wersja;
var gdziex, gdziey : integer;
begin
gdziex:=wherex;
gdziey:=wherey;
textcolor(black);
textbackground(yellow);
gotoxy(54,20);
write('0.0.6.5');  { NAZWAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA}
textbackground(black);
gotoxy(gdziex,gdziey);
end;
{koniec wyswietlania wersji programu------------------}


{intro!-----------------------------------------------}
Procedure Intro(szybkosc:integer);
var i,j:integer;
begin
 assign(rysplik,'PAJNT.DMO');
 reset(rysplik);
 for i:=1 to 22 do
  begin
   for j:=1 to 53 do
    read(rysplik,rysunek[j,i]);
  end;
 close(rysplik);

 for i:=1 to 22 do
  begin
   for j:=1 to 53 do
    begin
     gotoXY(j+14,i+1);
     textcolor(rysunek[j,i].kolorP);
     write(chr(rysunek[j,i].pedzelP));
     delay(szybkosc);
    end;
    writeln;
  end;
end;
{koniec intro!----------------------------------------}


{napisy koncowe---------------------------------------}
Procedure Zakonczenie;
var koniec:string;
begin
textcolor(12);
textbackground(black);
gotoXY(4,21);
koniec:='copylefts by pok';
randomize;
for i:=1 to length(koniec) do
 begin
  write(koniec[i]);
  delay(random(180));
 end;
delay(1500);
gotoXY(7,23);
write('i ',chr(3),' u JayZee');
delay(180);
end;
{koniec napisow----------------------------------------}


{menu glowne------------------------------------------}
Procedure Menu_Glowne;
var wybor:char;
    i:integer;
begin
textcolor(14);
for i:=1 to 7 do begin GoToXY(61+i,4); write(chr(196)); end;
GotoXY(67,4);
write('(M E N U)',chr(196),chr(196),chr(191));
GotoXY(78,5);
write(chr(179));
GotoXY(78,6);
write(chr(179));
GoToXY(61,7);
write('Nowy Rysunek ('); textcolor(13); write('1');
textcolor(14); write(')',chr(196),chr(180));

GoToXY(59,8);
write('Otw',chr(162),'rz Rysunek ('); textcolor(11); write('2');
textcolor(14); write(')',chr(196),chr(180));
GoToXY(66,9);
write('Wyjd',chr(171),' ['); textcolor(12); write('ESC');
textcolor(14); write(']',chr(196),chr(217));
gotoxy(1,1);

repeat
 wybor:=readkey;
until wybor in ['1','2','6',#27];

 case wybor of
 '1' : begin
         CzyscRys;
         ClrScr;
         Ramka;
         Menu_Edytor;
       end;
 '2' : begin
         CzyscRys;
         Otworz_Plik;
         textbackground(black);
         ClrScr;
         Ramka;
         Menu_Edytor;
         Rysuj_W_Ramce(0);
         kolor:=15;
       end;
 '6' : begin

       for i:=1 to 5 do
        begin
         window(15,13-i,58,13+i);
         textbackground(white);
         ClrScr;
         sound(231*i);
         delay(100);
        end;
        nosound;
        textcolor(black);
        gotoxy(44,1); {ramka            }
        for i:=1 to 9 do
         begin
          gotoxy(43,1+i);
          write(chr(179));
         end;
        gotoxy(2,1);
        write(chr(1));{218}
        for i:=1 to 40 do write(chr(196));
        writeln(chr(1));{191}
        for i:=1 to 9 do
         begin
          gotoxy(2,1+i);
          writeln(chr(179));
         end;
         gotoxy(2,11);
         write(chr(1));{192}
        for i:=1 to 40 do write(chr(196));
        write(chr(1));{217} {koniec ramki  }
        gotoxy(12,2);
        textcolor(black);
{}{}{}{}write('   PAJNT 0.0.6.5'); {T Y T U L !!!!!!!!!!!!!!!!}
        gotoxy(8,4);
        write('koder: Tomasz ');
        textcolor(12);
        write('pokryVa');
        textcolor(black);
        write(' Pokrywka');
        gotoxy(20,5);
        write('pokryva.info');
        gotoxy(7,7);
        write('thanxy: Sebacz');

        textcolor(black);
        gotoxy(8,10);
        write('ENTER - dalej / ESC - zako',chr(228),'cz');

        gotoXY(8,10);
        repeat until keypressed;
        window(1,1,80,25);
        textbackground(black);
        ClrScr;
        Intro(0);
        Wersja;
        Menu_Glowne;
       end;
 #27 : begin
         Zakonczenie;
         halt;
       end;
 end;

end;
{koniec menu glownego---------------------------------}


{                                                                  }
 { ------------------ C 1 A L 0   P R 0 G R A M U ------------------}
  {                                                                  }


Begin
textbackground(black);
ClrScr;
Intro(1);
Wersja;
randomize;
textcolor(random(15)+1);
GotoXY(21,WhereY-1);
write('Naci',chr(152),'nij dowolny klawisz aby kontynuowa',chr(134));
readkey;

{vvvvvv--         repeat calego programu         --vvvvvv}
repeat
textbackground(black);
ClrScr;
Intro(0);
Wersja;
Menu_Glowne;

x:=28;
y:=4;
gotoXY(x,y);
pedzel:=177;
kolor:=15;
maluj:=true;
namalowal:=false; {nic nie zostalo namalowane; jezeli true, zapyta czy zapisac}

{proces rysowania, TODO -> zrobic z tego procedure, albo i nie?:P-----}
     repeat
      guzik:=readkey;
      case guzik of
 {1}  #49: begin textcolor(1); kolor:=1; Jaki_Kolor(1); textcolor(kolor); gotoXY(x,y); end;
 {2}  #50: begin textcolor(2); kolor:=2; Jaki_Kolor(2); textcolor(kolor); gotoXY(x,y); end;
 {3}  #51: begin textcolor(11); kolor:=11; Jaki_Kolor(11); textcolor(kolor); gotoXY(x,y); end;
 {4}  #52: begin textcolor(12); kolor:=12; Jaki_Kolor(12); textcolor(kolor); gotoXY(x,y); end;
 {5}  #53: begin textcolor(13); kolor:=13; Jaki_Kolor(13); textcolor(kolor); gotoXY(x,y); end;
 {6}  #54: begin textcolor(14); kolor:=14; Jaki_Kolor(14); textcolor(kolor); gotoXY(x,y); end;
 {7}  #55: begin textcolor(15); kolor:=15; Jaki_Kolor(15); textcolor(kolor); gotoXY(x,y); end;
 {8}  #56: begin textcolor(8); kolor:=8; Jaki_Kolor(8); textcolor(kolor); gotoXY(x,y);  end;
 {9}  #57: begin textcolor(9); kolor:=9; Jaki_Kolor(9); textcolor(kolor); gotoXY(x,y); end;
 {0}  #48: begin textcolor(0); kolor:=0; Jaki_Kolor(0); textcolor(kolor); gotoXY(x,y); end;
{a,A} #97, #65: begin {a/A pedzel gora, dol ;)}
             maluj:=not maluj;
             gotoXY(23,6);
             if maluj=true then
              begin
               textcolor(white);
               write(chr(31));
              end
             else
              begin
               textcolor(8);
               write(chr(30));
              end;
             textcolor(kolor);
             gotoXY(x,y);
           end;

{c,C} #99, #67: begin  {c/C - czyszczenie tablicy}
             clrscr;
             ramka;
             menu_edytor;
             czyscrys;
             maluj:=true;
             namalowal:=true; {cos zostalo zmienione, zapyta czy zapisac}
             gotoXY(x,y);
             if kolor=0 then kolor:=15;
             textcolor(kolor);
             end;

      #114: pedzel:=ord(chr(177));
      #113: pedzel:=ord(chr(219));
      #119: pedzel:=ord(chr(176));
      #101: pedzel:=ord(chr(178));

{gora}#72: begin

           if y=2 then y:=24 else
           x:=x;
           y:=y-1;
           if maluj=false then gotoxy(x,y) else
            begin
             namalowal:=true; {cos zostalo namalowane, zapyta czy zapisac}
             Zap_1_ruch(x-25,y-1,kolor,pedzel);
             gotoXY(x,y);
             textcolor(kolor);
             write(chr(pedzel));
            end;
           end;
{lewo}#75: begin

           if x=26 then x:=78 else
           x:=x-1;
           y:=y;
           if maluj=false then gotoxy(x,y) else
            begin
             namalowal:=true; {cos zostalo namalowane, zapyta czy zapisac}
             Zap_1_ruch(x-25,y-1,kolor,pedzel);
             gotoXY(x,y);
             textcolor(kolor);
             write(chr(pedzel));
            end;
           end;
{praw}#77: begin

           if x=78 then x:=26 else
           x:=x+1;
           y:=y;
           if maluj=false then gotoxy(x,y) else
            begin
             namalowal:=true; {cos zostalo namalowane, zapyta czy zapisac}
             Zap_1_ruch(x-25,y-1,kolor,pedzel);
             gotoXY(x,y);
             textcolor(kolor);
             write(chr(pedzel));
            end;
           end;
{dol }#80: begin

           if y=23 then y:=1 else
           x:=x;
           y:=y+1;
           if maluj=false then gotoxy(x,y) else
            begin
             namalowal:=true; {cos zostalo namalowane, zapyta czy zapisac}
             Zap_1_ruch(x-25,y-1,kolor,pedzel);
             textcolor(kolor);
             gotoXY(x,y);
             write(chr(pedzel));
            end;
           end;

      end; {END 2-giego Case'a}
     until guzik=#27; {ESC wychodzi z programu, jezeli namalowal=true, pyta czy zapisac}

if namalowal=true then Czy_Zapisac;
gotoxy(4,17);
textcolor(white);
sound(1000);
delay(100);
nosound;
write('Zako',chr(228),'czy',chr(134),' program?');
gotoxy(6,18);
write('(t)ak / (n)ie');
 repeat
  wyjdzX:=readkey;
 until wyjdzX in ['t','T','n','N'];
until wyjdzX in ['t','T'];
{^^^^^^--         repeat calego programu         --^^^^^^}

Zakonczenie;
textcolor(black);
clrscr;
Intro(0);
Delay(650);
end.